diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasurementValue.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasurementValue.java
index 99ea2178bb..c297c090d0 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasurementValue.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasurementValue.java
@@ -30,6 +30,7 @@ import org.apache.log4j.Logger;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.VersionableEntity;
 
 /**
@@ -43,7 +44,6 @@ import eu.etaxonomy.cdm.model.common.VersionableEntity;
  * to the SDD schema.
  * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:54
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -65,7 +65,7 @@ public class StatisticalMeasurementValue extends VersionableEntity implements IM
 	@XmlSchemaType(name = "IDREF")
 	@ManyToMany(fetch = FetchType.LAZY)
 //	@NotNull // avoids creating a UNIQUE key for this field -> not needed for ManyToMany
-	private Set<Modifier> modifiers = new HashSet<Modifier>();
+	private Set<DefinedTerm> modifiers = new HashSet<DefinedTerm>();
 	
 	@XmlElement(name = "StatisticalMeasureType")
 	@XmlIDREF
@@ -132,11 +132,11 @@ public class StatisticalMeasurementValue extends VersionableEntity implements IM
 	
 	
 	/** 
-	 * Returns the set of {@link Modifier modifiers} used to qualify the validity
+	 * Returns the set of terms of {@link TermType type} Modifier used to qualify the validity
 	 * or probability of <i>this</i> statistical measurement value.
 	 * This is only metainformation.
 	 */
-	public Set<Modifier> getModifiers() {
+	public Set<DefinedTerm> getModifiers() {
 		return modifiers;
 	}
 
@@ -147,7 +147,7 @@ public class StatisticalMeasurementValue extends VersionableEntity implements IM
 	 * @param modifier	the modifier to be added to <i>this</i> statistical measurement value
 	 * @see    	   		#getModifiers()
 	 */
-	public void addModifier(Modifier modifier) {
+	public void addModifier(DefinedTerm modifier) {
 		this.modifiers.add(modifier);
 	}
 	/** 
@@ -158,7 +158,7 @@ public class StatisticalMeasurementValue extends VersionableEntity implements IM
 	 * @see     		#getModifiers()
 	 * @see     		#addModifier(Modifier)
 	 */
-	public void removeModifier(Modifier modifier) {
+	public void removeModifier(DefinedTerm modifier) {
 		this.modifiers.remove(modifier);
 	}
 	
@@ -180,8 +180,8 @@ public class StatisticalMeasurementValue extends VersionableEntity implements IM
 			StatisticalMeasurementValue result = (StatisticalMeasurementValue)super.clone();
 			
 			//modifiers
-			result.modifiers = new HashSet<Modifier>();
-			for (Modifier modifier : getModifiers()){
+			result.modifiers = new HashSet<DefinedTerm>();
+			for (DefinedTerm modifier : getModifiers()){
 				result.modifiers.add(modifier);
 			}
 			
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TaxonDescription.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TaxonDescription.java
index aa4b7b60dc..8abde9f350 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TaxonDescription.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TaxonDescription.java
@@ -37,6 +37,7 @@ import org.hibernate.search.annotations.IndexedEmbedded;
 import org.springframework.beans.factory.annotation.Configurable;
 
 import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
@@ -77,7 +78,7 @@ public class TaxonDescription extends DescriptionBase<IIdentifiableEntityCacheSt
     @XmlSchemaType(name="IDREF")
     @ManyToMany(fetch = FetchType.LAZY)
     @JoinTable(name="DescriptionBase_Scope")
-    private Set<Scope> scopes = new HashSet<Scope>();
+    private Set<DefinedTerm> scopes = new HashSet<DefinedTerm>();
 
     @XmlElementWrapper( name = "GeoScopes")
     @XmlElement( name = "GeoScope")
@@ -97,9 +98,6 @@ public class TaxonDescription extends DescriptionBase<IIdentifiableEntityCacheSt
     private Taxon taxon;
 
 
-    public void setTaxon(Taxon taxon) {
-        this.taxon = taxon;
-    }
 
     /**
      * Creates a new empty taxon description instance.
@@ -157,6 +155,10 @@ public class TaxonDescription extends DescriptionBase<IIdentifiableEntityCacheSt
     }
 
 
+    public void setTaxon(Taxon taxon) {
+        this.taxon = taxon;
+    }
+
     /**
      * Returns the set of {@link NamedArea named areas} indicating the geospatial
      * data where <i>this</i> taxon description is valid.
@@ -194,7 +196,7 @@ public class TaxonDescription extends DescriptionBase<IIdentifiableEntityCacheSt
      * restricting the validity of <i>this</i> taxon description. This set
      * of scopes should contain no more than one "sex" and one "life stage".
      */
-    public Set<Scope> getScopes(){
+    public Set<DefinedTerm> getScopes(){
         return this.scopes;
     }
 
@@ -206,7 +208,7 @@ public class TaxonDescription extends DescriptionBase<IIdentifiableEntityCacheSt
      * @param scope	the scope to be added to <i>this</i> taxon description
      * @see    	   	#getScopes()
      */
-    public void addScope(Scope scope){
+    public void addScope(DefinedTerm scope){
         this.scopes.add(scope);
     }
 
@@ -218,7 +220,7 @@ public class TaxonDescription extends DescriptionBase<IIdentifiableEntityCacheSt
      * @see     		#getScopes()
      * @see     		#addScope(Scope)
      */
-    public void removeScope(Scope scope){
+    public void removeScope(DefinedTerm scope){
         this.scopes.remove(scope);
     }
 
@@ -258,8 +260,8 @@ public class TaxonDescription extends DescriptionBase<IIdentifiableEntityCacheSt
         result = (TaxonDescription)super.clone();
 
         //scopes
-        result.scopes = new HashSet<Scope>();
-        for (Scope scope : getScopes()){
+        result.scopes = new HashSet<DefinedTerm>();
+        for (DefinedTerm scope : getScopes()){
             result.scopes.add(scope);
         }
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TaxonNameDescription.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TaxonNameDescription.java
index 8a12dbf357..40ef91aa9f 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TaxonNameDescription.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TaxonNameDescription.java
@@ -38,7 +38,6 @@ import eu.etaxonomy.cdm.strategy.cache.common.IdentifiableEntityDefaultCacheStra
  * publication (protolog) or a picture of this publication.
  *
  * @author a.mueller
- * @version 1.0
  * @created 08-Jul-2008
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -62,6 +61,16 @@ public class TaxonNameDescription extends DescriptionBase<IIdentifiableEntityCac
     @Cascade(CascadeType.SAVE_UPDATE)
     private TaxonNameBase<?,?> taxonName;
 
+//******************* FACTORY ********************************************/
+
+    /**
+     * Creates a new empty taxon name description instance.
+     */
+    public static TaxonNameDescription NewInstance(){
+        return new TaxonNameDescription();
+    }
+    
+    
     /**
      * Creates a new taxon name description instance for the given {@link TaxonNameBase name}.
      * The new taxon name description will be also added to the {@link TaxonNameBase#getDescriptions() set of descriptions}
@@ -75,20 +84,17 @@ public class TaxonNameDescription extends DescriptionBase<IIdentifiableEntityCac
         return description;
     }
 
+// ********************** CONSTRUCTOR ***************************************/
+    
     /**
      * Class constructor: creates a new empty taxon name description instance.
      */
-    public TaxonNameDescription() {
+    private TaxonNameDescription() {
         super();
         this.cacheStrategy = new IdentifiableEntityDefaultCacheStrategy();
     }
 
-    /**
-     * Creates a new empty taxon name description instance.
-     */
-    public static TaxonNameDescription NewInstance(){
-        return new TaxonNameDescription();
-    }
+//************************* GETTER /SETTER ***************************************/
 
     /**
      * Returns the {@link TaxonNameBase taxon name} to which <i>this</i> taxon name description
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TextFormat.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TextFormat.java
index 4473e1f2d7..f5031ee546 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TextFormat.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TextFormat.java
@@ -25,6 +25,7 @@ import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 /**
@@ -32,7 +33,6 @@ import eu.etaxonomy.cdm.model.common.TermVocabulary;
  * (like "xml schema namespace", "rdf", or any other format).
  * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:59
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -70,15 +70,13 @@ public class TextFormat extends DefinedTermBase<TextFormat> {
 	public static TextFormat NewInstance(String term, String label, String labelAbbrev){
 		return new TextFormat(term, label, labelAbbrev);
 	}
+	
+//********************************** Constructor *******************************************************************/	
 
-// ************* CONSTRUCTORS *************/	
-
-	/** 
-	 * Class constructor: creates a new empty text format instance.
-	 * 
-	 * @see 	#TextFormat(String, String, String, boolean, boolean)
-	 */
-	public TextFormat() {
+	//for hibernate use only
+	@Deprecated
+	protected TextFormat() {
+		super(TermType.TextFormat);
 	}
 
 	/** 
@@ -92,8 +90,8 @@ public class TextFormat extends DefinedTermBase<TextFormat> {
 	 * 						 new text format to be created
 	 * @see 				 #TextFormat()
 	 */
-	public TextFormat(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+	private TextFormat(String term, String label, String labelAbbrev) {
+		super(TermType.TextFormat, term, label, labelAbbrev);
 	}
 
 //********* METHODS **************************************/
